Page MenuHomePhabricator

Release and deploy wikidiff2 v1.7.3
Closed, ResolvedPublic

Description

The bug related to T197157 lead us to a fix merged as version 1.7.3 in wikidiff2 [1]. This now needs to be

  • tagged
  • released
  • deployed

[1] https://gerrit.wikimedia.org/r/#/c/mediawiki/php/wikidiff2/+/450024/

Event Timeline

WMDE-Fisch added subscribers: MoritzMuehlenhoff, Legoktm.

@Legoktm it would be, again, super awesome if you could take care of the first two parts of this. ( you can use the current master that also includes some cleanup and added tests )

@MoritzMuehlenhoff if the time allows it, it would also be great to see this then moving to the servers.

Pipetricker renamed this task from Release wikidiff2 v1.7.3 and update the production serves to Release wikidiff2 v1.7.3 and update the production servers.Aug 21 2018, 7:53 AM

We plan to work on merging and cleaning the config variable handling with T194272 as next step so we might wait with the deployment a bit longer, so you do not have to do work twice.

This would then also come with a bigger version number I guess. - Releasing version 1.7.3 still makes sense though since it's a non-trivial bugfix.

WMDE-Fisch renamed this task from Release wikidiff2 v1.7.3 and update the production servers to Release wikidiff2 v1.7.3.Aug 21 2018, 3:25 PM
WMDE-Fisch updated the task description. (Show Details)

@MoritzMuehlenhoff if the time allows it, it would also be great to see this then moving to the servers.

I've looked over the commits and the code changes between 1.7.2 and 1.7.3 don't change any function signatures. This means we should be able to deploy this update without pruning the HHVM bytecode cache. I'll prepare new debs when the release has been cut.

ArielGlenn triaged this task as Normal priority.Aug 30 2018, 9:27 AM
WMDE-Fisch renamed this task from Release wikidiff2 v1.7.3 to Release and deploy wikidiff2 v1.7.3.Aug 31 2018, 11:25 AM
WMDE-Fisch assigned this task to MoritzMuehlenhoff.
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-08-29 board.

Since the deployment of the v1.8.0 is a bit more time consuming and should happen with a bit more precaution due to the changed signature, we decided on doing the 1.7.3 deploy before to have the bugfix available a soon as possible.

MoritzMuehlenhoff closed this task as Resolved.Sep 4 2018, 8:06 AM

1.7.3 has been rolled out to the app servers (some in codfw still need the update, this will be piggybacked on other maintenance later the week)

WMDE-Fisch updated the task description. (Show Details)